DefaultWmsLayerStyle (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Class DefaultWmsLayerStyle

    java.lang.Object
      com.bbn.openmap.image.wms.DefaultWmsLayerStyle

All Implemented Interfaces:
  IWmsLayerStyle

    public class DefaultWmsLayerStyle

extends java.lang.Object
implements IWmsLayerStyle

Version:
  $Header: /cvs/distapps/openmap/src/openmap/com/bbn/openmap/image/wms/DefaultWmsLayerStyle.java,v 1.2 2008/01/29 22:04:13 dietrick Exp $
Author:
  pitek

Constructor Summary
`DefaultWmsLayerStyle(java.lang.String name, java.lang.String title, java.lang.String styleAbstract)` Creates a new instance of DefaultWmsLayerStyle

Method Summary
`java.lang.String` | `getAbstract()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultWmsLayerStyle

    public DefaultWmsLayerStyle(java.lang.String name,
                                java.lang.String title,
                                java.lang.String styleAbstract)

  Creates a new instance of DefaultWmsLayerStyle

  Parameters:
    `name` -
    `title` -
    `styleAbstract` -

Method Detail

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `IWmsLayerStyle`
  Returns:
    title

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IWmsLayerStyle`
  Returns:
    name

### getAbstract

    public java.lang.String getAbstract()

  Specified by:
    `getAbstract` in interface `IWmsLayerStyle`
  Returns:
    string for style abstract

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details